Kickstart the generation of report
post
/ec-reporting-svc/rest/v1.0/report/job/{jobId}
Invoked by Reporting retrial thread. This API starts the processing of report.
Right: ReportingPost.
Right: ReportingPost.
Request
Path Parameters
-
jobId(required): string
Report job IDExample:
6A7C29DD011241DFBE1B64399283C860
Query Parameters
-
mode: string
Mode of the study. Accepts test, active, or training.Example:
test -
studyId: string(uuid)
ID of the study for which you want to generate report. Tenant reports, such as HSL report, can be generated by making study ID as null.Example:
CFD8129A430A473C8A02F4BA5DAAD865
Supported Media Types
- application/json
Root Schema : schema
Type:
objectSpecifies fields for report generation
Show Source
-
extFieldSpecsList: object
extFieldSpecsList
Generic representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
-
fieldSpecsList: object
fieldSpecsList
Generic representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Nested Schema : extFieldSpecsList
Type:
objectGeneric representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Show Source
-
fieldName(required): string
Minimum Length:
1Maximum Length:255Field name to evaluate. Examples include STUDYID, SITEID, ruleState, and dateRange.Example:ruleState -
fieldSequence: integer
(int32)
Minimum Value:
0Maximum Value:2147483647Sequence/order of the field. Provide a non-negative integer.Example:1 -
fieldType(required): string
Minimum Length:
4Maximum Length:16Allowed Values:[ "list", "date", "date-time", "number", "string", "boolean" ]Field value classification. Use list for enumerations, date for calendar values, date-time for timestamps, number for numeric filters, string for textual filters, or boolean for true/false.Example:list -
fieldValueList(required): array
fieldValueList
List of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Example:
{
"fieldName":"ruleState",
"fieldType":"list",
"fieldSequence":1,
"fieldValueList":[
"approved"
]
}Nested Schema : fieldSpecsList
Type:
objectGeneric representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Show Source
-
fieldName(required): string
Minimum Length:
1Maximum Length:255Field name to evaluate. Examples include STUDYID, SITEID, ruleState, and dateRange.Example:ruleState -
fieldSequence: integer
(int32)
Minimum Value:
0Maximum Value:2147483647Sequence/order of the field. Provide a non-negative integer.Example:1 -
fieldType(required): string
Minimum Length:
4Maximum Length:16Allowed Values:[ "list", "date", "date-time", "number", "string", "boolean" ]Field value classification. Use list for enumerations, date for calendar values, date-time for timestamps, number for numeric filters, string for textual filters, or boolean for true/false.Example:list -
fieldValueList(required): array
fieldValueList
List of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Example:
{
"fieldName":"ruleState",
"fieldType":"list",
"fieldSequence":1,
"fieldValueList":[
"approved"
]
}Nested Schema : fieldValueList
Type:
arrayList of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Show Source
-
Array of:
string
Minimum Length:
1Maximum Length:256Example:publish
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : fieldValueList
Type:
arrayList of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Show Source
-
Array of:
string
Minimum Length:
1Maximum Length:256Example:publish
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Success.
Root Schema : ExecutionLog
Type:
Show Source
object-
comment: string
Minimum Length:
0Maximum Length:4000User-provided free-form comment about this execution -
currSearchSpec: string
Minimum Length:
0Maximum Length:32000Search specification filter string for this run (may be large) -
currSortSpec: string
Minimum Length:
0Maximum Length:512Sort specification string for this report run -
fileStorageId: string
(uuid)
ID of the associated report file blob in storage (UUID)
-
id: string
(uuid)
Primary key. Unique job execution identifier (UUID). Example: 'BBAACF7D12C245A2A59B1C23DEADBEEF'
-
objectVersionNumber: number
Object version field (for optimistic concurrency/locking)
-
operationType: string
Minimum Length:
0Maximum Length:1024Database action or type of operation represented by this job record. (E.g. INSERT, UPDATE, DELETE) -
reason: string
Minimum Length:
0Maximum Length:4000Reason provided for status or operation (e.g. failed status explanation) -
recCount: integer
(int32)
Total number of records in this report run (if known)
-
rptFormat(required): string
Minimum Length:
0Maximum Length:255Format of generated report. Enumerated (PDF, XLSX, etc.)Example:PDF -
rptId: string
(uuid)
Report template identifier (UUID). Example: 'AABB1234DD884FA1A9DC1AFDECBA1A35'
-
rptKickoffDatetime(required): string
(date-time)
Date/time the report run started (ISO-8601 date/time). Example: '2025-10-27T10:00:00.000Z'Example:
2025-10-27T10:00:00Z -
rptName(required): string
Minimum Length:
0Maximum Length:255Report name. Example: 'Subject Listing'Example:Subject Listing -
rptStatCd: string
Minimum Length:
0Maximum Length:255Report status code (business state of run, e.g. SUCCESS, FAILED, SUBMITTED, IN_PROGRESS)Example:SUCCESS -
runDuration: integer
(int64)
Job execution run duration in milliseconds
-
softwareVersionNumber: number
Software/application version field (build or runtime version, if needed)
-
userId(required): string
(uuid)
User identifier (UUID) who initiated or owns the job. Example: '123E4567E89B12D3A456426614174000'
-
versionEnd(required): string
(date-time)
Job execution version end timestamp (ISO-8601 date/time). Example: '2025-10-27T10:30:00.789Z'Example:
2025-10-27T10:30:00.789Z -
versionStart(required): string
(date-time)
Job execution version start timestamp (ISO-8601 date/time). Example: '2025-10-27T10:00:00.123Z'Example:
2025-10-27T10:00:00.123Z
Examples
401 Response
Unauthorized user.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples